# Update parking places

`PATCH https://api.parklio.com/v2/parking-places/{id}`

This endpoint allows the user to update parking places by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | no |  |

```json
{
  "name": "Parking place"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "lot_id": 1,
    "name": "Parking place",
    "occupancy_status": 1,
    "deleted_at": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z",
    "external_id": 1,
    "zone_id": 1,
    "uuid": "10ba038e-48da-487b-96e8-8d3b99b6d18a",
    "id": 1
  }
}
```

### 400 — Cannot be moved between different lots.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1000,
      "message": "Cannot move to different lot."
    }
  ]
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

